Skip to content

Request order cancellation

Request

Request order cancellation to Keeta.

It is expected to receive a CANCELLATION_REQUESTED event after this action.



HOST: Keeta

DIRECTION:

Security
OAuth2(Required scopes: od.all) and Sig
Path
orderIdstringrequired

The unique identifier of the order. The order ID is generated by Keeta.

Bodyapplication/jsonrequired
reasonstringrequired

Open text field indicating the reason for the cancellation.

codestringrequired

Explanation: The enumeration values have been updated. The old values are: INSUFFICIENT-DISHES, SUSPENSION OF OF BUSINESS, INSUFICS-MANPOWER, THE. Although the new enumeration value maintains compatibility with the old enumeration value, we strongly recommend using the new enumeration value. If you are using an old value, please update it as soon as possible. Thank you for your cooperation.

Enum:"SYSTEMIC_ISSUES""DUPLICATE_APPLICATION""UNAVAILABLE_ITEM""RESTAURANT_WITHOUT_DELIVERY_PERSON""OUTDATED_MENU""ORDER_OUTSIDE_THE_DELIVERY_AREA""BLOCKED_CUSTOMER""OUTSIDE_DELIVERY_HOURS""INTERNAL_DIFFICULTIES_OF_THE_RESTAURANT""RISK_AREA"
modestringrequired

Indicates whether the cancellation request was made by an automatic or manual process in the Software Service

Enum:"AUTO""MANUAL"
outOfStockItemsArray of strings, <= 100 items

Items that are not in the merchant's inventory.

invalidItemsArray of strings, <= 100 items

Items that do not exist in the merchant's inventory.

When the code is OUTDATED_MENU, the items listed in invalidItems will be deactivated, and the item ID should use the Keeta item ID.

curl -i -X POST \
  'https://open.mykeeta.com/api/open/opendelivery/v1/orders/{orderId}/requestCancellation' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'X-App-Signature: YOUR_API_KEY_HERE' \
  -d '{
    "reason": "string",
    "code": "SYSTEMIC_ISSUES",
    "mode": "AUTO",
    "outOfStockItems": [
      "string"
    ],
    "invalidItems": [
      "string"
    ]
  }'

Responses

Request has been accepted for processing.

Response
No content